ponytracker : main.o motifs.o melodie.o
	gcc -Wall main.o motifs.o melodie.o -o ponytracker

main.o : main.c
	gcc -Wall -c main.c

motifs.o : motifs/motifs.c motifs/motifs.h
	gcc -Wall -c motifs/motifs.c

melodie.o : melodie/melodie.c melodie/melodie.h
	gcc -Wall -c melodie/melodie.c

clean :
	rm -f *.o
